summaryrefslogtreecommitdiff
path: root/libre/icecat
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-01-12 16:47:23 -0500
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-01-12 17:06:30 -0500
commit867dbcc116fbed767fa4262aedf445546bb11d06 (patch)
tree6dd478608f67b1876def8cb31dd143e5da094c02 /libre/icecat
parent6bafdd178eae7fe285a158da7ff6176deb9ca5e2 (diff)
downloadabslibre-867dbcc116fbed767fa4262aedf445546bb11d06.tar.gz
abslibre-867dbcc116fbed767fa4262aedf445546bb11d06.tar.bz2
abslibre-867dbcc116fbed767fa4262aedf445546bb11d06.zip
libre/{icecat,iceweasel-libre}: clean up a bit
* don't duplicate the mis64el fix in iceweasel * clean up whitespace and quoting * re-order a few things * don't give geticeweasel.org as iceweasel's url * don't symlink /usr/lib/mozilla/plugins to /usr/lib/$pkgbase/plugins * more elegant version of debfile() for iceweasel. * drop i586 from arch=(), ours has changed too greatly
Diffstat (limited to 'libre/icecat')
-rw-r--r--libre/icecat/PKGBUILD40
1 files changed, 27 insertions, 13 deletions
diff --git a/libre/icecat/PKGBUILD b/libre/icecat/PKGBUILD
index c94062713..2cb4f355f 100644
--- a/libre/icecat/PKGBUILD
+++ b/libre/icecat/PKGBUILD
@@ -17,12 +17,24 @@
# If you are updating this package, don't forget to update the version number in
# the value for 'browser.dictionaries.download.url' in 'libre.patch'
+# Version Configuration ##############################################
+
_pgo=false
+
pkgname=icecat
pkgver=17.0.1
pkgrel=1
+
+######################################################################
+
if [[ -z $pkgbase ]]; then pkgbase=$pkgname; fi
-pkgdesc='The GNUzilla web browser, based on Mozilla Firefox. SafeBrowsing and other Google services disabled!'
+if $_pgo; then pkgname+='-pgo'; fi
+if [ "$pkgbase" != "$pkgname" ]; then
+ provides+=("$pkgbase=$pkgver")
+ conflicts+=("$pkgbase")
+fi
+
+pkgdesc="The GNUzilla web browser, based on Mozilla Firefox."
arch=(
'i686'
'mips64el'
@@ -66,12 +78,12 @@ makedepends=(
'wireless_tools'
'zip'
)
-optdepends=('wireless_tools: Location detection via available WiFi networks')
+[[ $CARCH != mips64el ]] && makedepends+=('yasm')
if $_pgo; then
- makedepends+=(xorg-server-xvfb)
- options=(!ccache)
+ makedepends+=('xorg-server-xvfb')
+ options+=(!ccache)
fi
-options=(!emptydirs)
+optdepends=('wireless_tools: Location detection via available WiFi networks')
url=http://www.gnu.org/software/gnuzilla/
install=$pkgname.install
source=(
@@ -105,7 +117,7 @@ build() {
cp ../mozconfig .mozconfig
if $_pgo; then
- cat $srcdir/mozconfig.pgo >> .mozconfig
+ cat ../mozconfig.pgo >> .mozconfig
fi
patch -Np1 -i ../$pkgname-install-dir.patch
patch -Np1 -i ../xulrunner-copy-stub.patc
@@ -121,7 +133,7 @@ build() {
browser/base/Makefile.in
# This is a bug, we should fix it.
- if [ $CARCH = mips64el ]; then
+ if [[ $CARCH == mips64el ]]; then
# Fix MIPS N32 support.
sed -i 's/defined(_ABIO32)/(defined(_ABIO32) || defined(_ABIN32))/' \
js/src/assembler/wtf/Platform.h
@@ -147,8 +159,8 @@ build() {
Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
fi
- _fail=0
- make -f client.mk build || _fail=1
+ _fail=0
+ make -f client.mk build || _fail=1
if $_pgo; then
kill $! || true
@@ -172,10 +184,12 @@ package() {
install -Dm644 $srcdir/$d.desktop $pkgdir/usr/share/applications/$d.desktop
done
- rm -rf "$pkgdir/usr/lib/$pkgbase/"{dictionaries,hyphenation,searchplugins,plugins}
- ln -s /usr/share/hunspell "$pkgdir/usr/lib/$pkgbase/dictionaries"
- ln -s /usr/share/hyphen "$pkgdir/usr/lib/$pkgbase/hyphenation"
- ln -s /usr/lib/mozilla/plugins "$pkgdir/usr/lib/$pkgbase/plugins"
+ # Use system-provided dictionaries
+ rm -rf "$pkgdir"/usr/lib/$pkgbase/{dictionaries,hyphenation}
+ ln -s /usr/share/hunspell "$pkgdir/usr/lib/$pkgbase/dictionaries"
+ ln -s /usr/share/hyphen "$pkgdir/usr/lib/$pkgbase/hyphenation"
+ # use mozilla-searchplugins
+ rm -rf "$pkgdir"/usr/lib/$pkgbase/searchplugins
ln -s /usr/lib/mozilla/searchplugins "$pkgdir/usr/lib/$pkgbase/searchplugins"
# We don't want the development stuff